import type { StoryObj } from '@storybook/vue3';
declare const meta: {
    title: string;
    component: {
        new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
            customClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            color: {
                type: import("vue").PropType<import("../components/Button/types").ButtonColor>;
                default: string;
            };
            type: {
                type: import("vue").PropType<import("../components/Button/types").ButtonType>;
                default: string;
            };
            autofocus: {
                type: import("vue").PropType<boolean>;
            };
            disabled: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            icon: {
                type: import("vue").PropType<string>;
            };
            iconPosition: {
                type: import("vue").PropType<import("../components/Button/types").ButtonIconPosition>;
            };
            loading: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            loadingClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            shape: {
                type: import("vue").PropType<import("../components/Button/types").ButtonShape>;
                default: string;
            };
            size: {
                type: import("vue").PropType<import("../components/Button/types").ButtonSize>;
                default: string;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
        }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            click: (...args: any[]) => void;
        }, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
            customClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            color: {
                type: import("vue").PropType<import("../components/Button/types").ButtonColor>;
                default: string;
            };
            type: {
                type: import("vue").PropType<import("../components/Button/types").ButtonType>;
                default: string;
            };
            autofocus: {
                type: import("vue").PropType<boolean>;
            };
            disabled: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            icon: {
                type: import("vue").PropType<string>;
            };
            iconPosition: {
                type: import("vue").PropType<import("../components/Button/types").ButtonIconPosition>;
            };
            loading: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            loadingClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            shape: {
                type: import("vue").PropType<import("../components/Button/types").ButtonShape>;
                default: string;
            };
            size: {
                type: import("vue").PropType<import("../components/Button/types").ButtonSize>;
                default: string;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
        }, {
            customClasses: string[];
            color: import("../components/Button/types").ButtonColor;
            type: import("../components/Button/types").ButtonType;
            disabled: boolean;
            loading: boolean;
            loadingClasses: string[];
            shape: import("../components/Button/types").ButtonShape;
            size: import("../components/Button/types").ButtonSize;
        }, true, {}, {}, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            customClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            color: {
                type: import("vue").PropType<import("../components/Button/types").ButtonColor>;
                default: string;
            };
            type: {
                type: import("vue").PropType<import("../components/Button/types").ButtonType>;
                default: string;
            };
            autofocus: {
                type: import("vue").PropType<boolean>;
            };
            disabled: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            icon: {
                type: import("vue").PropType<string>;
            };
            iconPosition: {
                type: import("vue").PropType<import("../components/Button/types").ButtonIconPosition>;
            };
            loading: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            loadingClasses: {
                type: import("vue").PropType<string[]>;
                default: () => never[];
            };
            shape: {
                type: import("vue").PropType<import("../components/Button/types").ButtonShape>;
                default: string;
            };
            size: {
                type: import("vue").PropType<import("../components/Button/types").ButtonSize>;
                default: string;
            };
        }>> & {
            onClick?: ((...args: any[]) => any) | undefined;
        }, {}, {}, {}, {}, {
            customClasses: string[];
            color: import("../components/Button/types").ButtonColor;
            type: import("../components/Button/types").ButtonType;
            disabled: boolean;
            loading: boolean;
            loadingClasses: string[];
            shape: import("../components/Button/types").ButtonShape;
            size: import("../components/Button/types").ButtonSize;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
        color: {
            type: import("vue").PropType<import("../components/Button/types").ButtonColor>;
            default: string;
        };
        type: {
            type: import("vue").PropType<import("../components/Button/types").ButtonType>;
            default: string;
        };
        autofocus: {
            type: import("vue").PropType<boolean>;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        icon: {
            type: import("vue").PropType<string>;
        };
        iconPosition: {
            type: import("vue").PropType<import("../components/Button/types").ButtonIconPosition>;
        };
        loading: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        loadingClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
        shape: {
            type: import("vue").PropType<import("../components/Button/types").ButtonShape>;
            default: string;
        };
        size: {
            type: import("vue").PropType<import("../components/Button/types").ButtonSize>;
            default: string;
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        click: (...args: any[]) => void;
    }, string, {
        customClasses: string[];
        color: import("../components/Button/types").ButtonColor;
        type: import("../components/Button/types").ButtonType;
        disabled: boolean;
        loading: boolean;
        loadingClasses: string[];
        shape: import("../components/Button/types").ButtonShape;
        size: import("../components/Button/types").ButtonSize;
    }, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
        $slots: {
            loading?(_: {}): any;
            default?(_: {}): any;
        };
    });
    tags: string[];
    argTypes: {
        color: {
            control: "select";
            options: string[];
            description: string;
        };
        type: {
            control: "select";
            options: string[];
            description: string;
        };
        size: {
            control: "select";
            options: string[];
            description: string;
        };
        shape: {
            control: "select";
            options: string[];
            description: string;
        };
        disabled: {
            control: "boolean";
            description: string;
        };
        loading: {
            control: "boolean";
            description: string;
        };
        autofocus: {
            control: "boolean";
            description: string;
        };
        customClasses: {
            control: "array";
            description: string;
        };
        loadingClasses: {
            control: "array";
            description: string;
        };
        onClick: {
            action: string;
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Default: Story;
export declare const Colors: Story;
export declare const Sizes: Story;
export declare const Shapes: Story;
export declare const Loading: Story;
export declare const Disabled: Story;
